GET /api/v202305/unit

Retrieves all units

GetUnitsV202305

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional

Filters

Filter Description Type Operators
unitTypeCode Unit Type Code String equals not equals one of like not like not one of
unitTypeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
unitTypeInfo Unit Type Name String equals not equals one of like not like not one of

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

Unit
Property Description Type
unitCode Must be between 0 and 16 characters string
unitDisplayName Must be between 0 and 64 characters string
unitId integer (int32)
unitInfo Must be between 0 and 32 characters string
unitType UnitType
UnitType properties
Property Description Type
unitTypeCode string
unitTypeId integer (int32)
unitTypeInfo string
Example Response application/json
[
  {    "unitCode": "string",    "unitDisplayName": "string",    "unitId": 1,    "unitInfo": "string",    "unitType": {      "unitTypeCode": "string",      "unitTypeId": 1,      "unitTypeInfo": "string"
    }
  }
]